[oe-commits] org.oe.dev dbus: package libdbus into separate package - opie images will get smaller now

hrw commit openembedded-commits at lists.openembedded.org
Thu Dec 14 13:35:59 UTC 2006


dbus: package libdbus into separate package - opie images will get smaller now

Author: hrw at openembedded.org
Branch: org.openembedded.dev
Revision: fd56d089902ffcb5cc4a139e9d80b24c31c42df6
ViewMTN: http://monotone.openembedded.org/revision.psp?id=fd56d089902ffcb5cc4a139e9d80b24c31c42df6
Files:
1
packages/dbus/dbus.inc
packages/dbus/dbus_0.95.bb
packages/dbus/dbus_1.0.1.bb
packages/dbus/dbus_1.0.2.bb
Diffs:

#
# mt diff -ra8acbb7f7b29fcdb1e919f63f88959b80326ecb4 -rfd56d089902ffcb5cc4a139e9d80b24c31c42df6
#
# 
# 
# patch "packages/dbus/dbus.inc"
#  from [c8b2145db8681919b67a8e50346da67c283e0233]
#    to [4ce8f973ee8d9d887356cffd8814d7133baf3e16]
# 
# patch "packages/dbus/dbus_0.95.bb"
#  from [30c78e40400fe6d8d71b2c6d6298bf96a4763140]
#    to [a558dbb52a01c66d23bfa0eed50acafc8d0dfe8b]
# 
# patch "packages/dbus/dbus_1.0.1.bb"
#  from [dfd25c7f8e0c631187fe501de4591b6a17750938]
#    to [b55c8edfb32c457a02e1e498f6b14acebc1bbf8e]
# 
# patch "packages/dbus/dbus_1.0.2.bb"
#  from [fef9998136f6cd4f48ded9d758df0597c642d934]
#    to [6ed19ca20d60c52cb6cc1d84d8d604df92d23261]
# 
============================================================
--- packages/dbus/dbus.inc	c8b2145db8681919b67a8e50346da67c283e0233
+++ packages/dbus/dbus.inc	4ce8f973ee8d9d887356cffd8814d7133baf3e16
@@ -1,6 +1,6 @@
+DESCRIPTION = "message bus system for applications to talk to one another"
 SECTION = "base"
 HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
-DESCRIPTION = "message bus system for applications to talk to one another"
 LICENSE = "GPL"
 DEPENDS = "expat virtual/libintl"
 
@@ -18,25 +18,16 @@ CONFFILES_${PN} = "${sysconfdir}/dbus-1/
 
 CONFFILES_${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
 
-FILES_${PN} = "${bindir}/dbus-daemon ${bindir}/dbus-launch ${bindir}/dbus-cleanup-sockets ${bindir}/dbus-send ${bindir}/dbus-monitor ${bindir}/dbus-uuidgen ${sysconfdir} ${datadir}/dbus-1/services ${libdir}/lib*.so.*"
+PACKAGES += "${PN}-lib"
+
+FILES_${PN} = "${bindir}/dbus-daemon ${bindir}/dbus-launch \
+               ${bindir}/dbus-cleanup-sockets ${bindir}/dbus-send \
+	       ${bindir}/dbus-monitor ${bindir}/dbus-uuidgen \
+	       ${sysconfdir} ${datadir}/dbus-1/service"
+FILES_${PN}-lib = "${libdir}/lib*.so.*"
 FILES_${PN}-dev += "${libdir}/dbus-1.0/include"
 
-pkg_postinst_dbus() {
-#!/bin/sh
 
-# can't do adduser stuff offline
-if [ "x$D" != "x" ]; then
-  exit 1
-fi
-
-MESSAGEUSER=messagebus
-MESSAGEHOME=/var/run/dbus
-
-mkdir -p $MESSAGEHOME || true
-chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
-chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
-}
-
 EXTRA_OECONF = "--disable-qt  --disable-qt3 --disable-gtk --disable-tests \
 		--disable-checks --disable-xml-docs --disable-doxygen-docs \
 		--with-xml=expat --without-x"
@@ -59,3 +50,19 @@ python populate_packages_prepend () {
 	if (bb.data.getVar('DEBIAN_NAMES', d, 1)):
 		bb.data.setVar('PKG_dbus', 'dbus-1', d)
 }
+
+pkg_postinst_dbus() {
+#!/bin/sh
+
+# can't do adduser stuff offline
+if [ "x$D" != "x" ]; then
+  exit 1
+fi
+
+MESSAGEUSER=messagebus
+MESSAGEHOME=/var/run/dbus
+
+mkdir -p $MESSAGEHOME || true
+chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
+chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
+}
============================================================
--- packages/dbus/dbus_0.95.bb	30c78e40400fe6d8d71b2c6d6298bf96a4763140
+++ packages/dbus/dbus_0.95.bb	a558dbb52a01c66d23bfa0eed50acafc8d0dfe8b
@@ -5,6 +5,7 @@ DEPENDS = "expat glib-2.0 virtual/libint
 DESCRIPTION = "message bus system for applications to talk to one another"
 LICENSE = "GPL"
 DEPENDS = "expat glib-2.0 virtual/libintl"
+PR = "r1"
 
 SRC_URI = "http://dbus.freedesktop.org/releases/dbus/dbus-${PV}.tar.gz \
 	   file://tmpdir.patch;patch=1 \
============================================================
--- packages/dbus/dbus_1.0.1.bb	dfd25c7f8e0c631187fe501de4591b6a17750938
+++ packages/dbus/dbus_1.0.1.bb	b55c8edfb32c457a02e1e498f6b14acebc1bbf8e
@@ -1,5 +1,5 @@ SRC_URI += "file://dbus-exploit-fix.patc
 require dbus.inc
 
 SRC_URI += "file://dbus-exploit-fix.patch;patch=1"
 
+PR = "r3"
-PR = "r2"
============================================================
--- packages/dbus/dbus_1.0.2.bb	fef9998136f6cd4f48ded9d758df0597c642d934
+++ packages/dbus/dbus_1.0.2.bb	6ed19ca20d60c52cb6cc1d84d8d604df92d23261
@@ -1,2 +1,3 @@ require dbus.inc
 require dbus.inc
 
+PR = "r1"






More information about the Openembedded-commits mailing list